<?php
// mysqli

$servername = "localhost";
$username = "guest";
$password = "guest";
$dbname = "test";

// Create connection
$conn = mysqli_connect($servername, $username, $password, $dbname);

// Check connection
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

$sql = "select year, stateName, salaryWages.sa4 as MYsa4, sum(count) as num, sum(sum) as total, floor(sum(sum) / sum(count)) as avgWage from salaryWages left join States
on salaryWages.sa4 = States.sa4 
join stateNames on States.State = stateNames.state

group by year, MYsa4
order by MYsa4, year  ";

$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
 echo "<table>\n<tr><th>Year</th><th>State</th><th>SA4 region</th><th>Count</th><th>Sal/Wages</th><th>Avg Wage</th></tr>\n";

    // output data of each row
    while($row = mysqli_fetch_assoc($result)) {
        echo "<tr><td> " . $row["year"]. " </td><td>".$row["stateName"]."</td><td>" . $row["MYsa4"]."</td><td>" .number_format($row["num"]). "</td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"  . number_format($row["total"])." </td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;". number_format($row["avgWage"]). " " . "</td></tr>\n";
    }
 echo "</table>\n";
} else {
    echo "0 results";
}

echo "<a href=\"http://areff2000.net16.net/index.html\">Home</a>";

mysqli_close($conn);
?>