<?php
// mysqli

$servername = "localhost";
$username = "guest";
$password = "guest";
$dbname = "test";

// Create connection
$conn = mysqli_connect($servername, $username, $password, $dbname);

// Check connection
if (!$conn) {
    die("Connection failed: " . mysqli_connect_error());
}

$sql = "select year, hair.sa4 as location, industry, countSoleTrader, deltaCount, (deltaCount / countSoleTrader) as countPC, sumSoleTrader, deltaSum, (deltaSum / sumSoleTrader) as sumPC from  hair left join deltaHair
on hair.sa4 = deltaHair.sa4 and
hair.year = deltaHair.thisYear
order by hair.sa4, hair.year ";

function showZip ($get) {
$result = "";

if ($get != 0) {
$result = $get; 
}

else { $result = "-";
}

return $result;
}

$result = mysqli_query($conn, $sql);

if (mysqli_num_rows($result) > 0) {
 echo "<table>\n<tr><th>Year</th><th>Location</th><th>Industry</th><th>Count</th><th>Num.Change</th><th>%Change</th><th>Sales</th><th>Num.Change</th><th>%Change</th></tr>\n";

    // output data of each row
    while($row = mysqli_fetch_assoc($result)) {
        echo "<tr align = \"center\"><td> " . $row["year"]. " </td><td>" . $row["location"]. "</td><td>" . $row["industry"]. "</td><td>" .number_format($row["countSoleTrader"]). "</td><td>" .number_format(showZip($row["deltaCount"])). "</td><td>" .number_format(showZip($row["countPC"]*100)). "</td><td>". number_format($row["sumSoleTrader"]). " " . "</td><td>" .number_format(showZip($row["deltaSum"])). "</td><td>" .number_format(showZip($row["sumPC"]*100)). "</td></tr>\n";
    }
 echo "</table>\n";
} else {
    echo "0 results";
}

mysqli_close($conn);
?>